## mdns-scan 0.4

=== Makefile ===
VERSION=0.4
TARFILE=mdns-scan-$(VERSION).tar.gz
DISTDIR=mdns-scan-$(VERSION)/
DISTFILES=Makefile mdns-scan.1 dns.c dns.h mdns-scan.c query.c query.h util.h util.c README LICENSE debian/control debian/compat debian/changelog debian/copyright debian/rules debian/dirs
CFLAGS=-Wall -W -g -O0 -pipe

mdns-scan: mdns-scan.o dns.o query.o util.o
	$(CC) -o $@ $^

dist: $(TARFILE)

$(TARFILE): $(DISTFILES)
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	cp --parents $(DISTFILES) $(DISTDIR)
	rm -f $(TARFILE)
	tar czf $(TARFILE) $(DISTDIR)
	rm -rf $(DISTDIR)

install:
	install -s mdns-scan $(DESTDIR)/usr/bin/mdns-scan

clean:
	rm -f mdns-scan *.o *.tar.gz
	rm -rf mdns-scan-$(VERSION)

deb:
	dpkg-buildpackage -uc -us -rfakeroot

.PHONY: clean dist deb install

## mdns-scan 0.5

=== Makefile ===
VERSION=0.5
TARFILE=mdns-scan-$(VERSION).tar.gz
DISTDIR=mdns-scan-$(VERSION)/
DISTFILES=Makefile mdns-scan.1 dns.c dns.h mdns-scan.c query.c query.h util.h util.c README LICENSE
CFLAGS=-Wall -W -g -O0 -pipe

mdns-scan: mdns-scan.o dns.o query.o util.o
	$(CC) -o $@ $^

dist: $(TARFILE)

$(TARFILE): $(DISTFILES)
	rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	cp --parents $(DISTFILES) $(DISTDIR)
	rm -f $(TARFILE)
	tar czf $(TARFILE) $(DISTDIR)
	rm -rf $(DISTDIR)

install:
	install mdns-scan $(DESTDIR)/usr/bin/mdns-scan

clean:
	rm -f mdns-scan *.o *.tar.gz
	rm -rf mdns-scan-$(VERSION)

deb:
	dpkg-buildpackage -uc -us -rfakeroot

.PHONY: clean dist deb install

=== debian/changelog ===
mdns-scan (0.5-6) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/control: add Rules-Requires-Root: no
  * add debian/gbp.conf
  * add debian/upstream/metadata

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 19 Aug 2025 09:49:50 +0200

mdns-scan (0.5-5) unstable; urgency=medium

  * debian/control: bump standard to 4.2.1 (no changes)
  * debian/control: use correct upstream link (Closes: #907781)
  * debian/control: add VCS URLs on salsa

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Nov 2018 16:49:50 +0100

mdns-scan (0.5-4) unstable; urgency=medium

  * new maintainer (Closes: #900422)
  * debian/control: bump standard to 4.1.5 (no changes)
  * debian/control: use dh11
  * debian/rules: use dh
  * debian/source/format: use "3.0 (quilt)"

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Aug 2018 15:49:50 +0200

mdns-scan (0.5-3) unstable; urgency=medium

  * Orphan the package. See #900422.

 -- Michael Biebl <biebl@debian.org>  Wed, 30 May 2018 16:49:50 +0200

mdns-scan (0.5-2) unstable; urgency=low

  * Team upload.
  * Bump debian/compat to 9 (and version of build-dependency accordingly)
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 24 Feb 2016 21:22:16 +0100

mdns-scan (0.5-1) unstable; urgency=low

  * New upstream release
  * Package taken over by the pkg-utopia team at the request of the previous
    maintainer (Thanks Lennart).
  * No longer strips symbols on install (Closes: #437561)
  * debian/control: Add XS-VCS-* fields
  * debian/control: Update description to mention avahi-daemon instead of
    mdnsresponder and Bonjour instead of Rendezvous (Closes: #339338)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 13 Aug 2007 21:19:10 +0200

mdns-scan (0.4-1) unstable; urgency=low

  * Apply patch from Enirco Zini, adding manpages and some packaging fixes

 -- Lennart Poettering <mzqrovna@0pointer.de>  Sun, 23 Jan 2005 15:51:47 +0100

mdns-scan (0.3-1) unstable; urgency=low

  * Initial Release.

 -- Lennart Poettering <mzqrovna@0pointer.de>  Sun, 16 Jan 2005 14:36:07 +0100

=== debian/control ===
Source: mdns-scan
Section: utils
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Homepage: https://github.com/alteholz/mdns-scan
Vcs-Browser: https://salsa.debian.org/alteholz/mdns-scan
Vcs-Git: https://salsa.debian.org/alteholz/mdns-scan.git
Rules-Requires-Root: no

Package: mdns-scan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scan for mDNS/DNS-SD services published on the local network
 mdns-scan is a tool for scanning for mDNS/DNS-SD services published
 on the local network.
 .
 It works by issuing a mDNS PTR query to the special RR
 _services._dns-sd._udp.local for retrieving a list of all currently
 registered services on the local link.
 .
 mDNS/DNS-SD is part of Apple's Zeroconf strategy (a.k.a. Bonjour).
 The avahi-daemon package is an implementation of mDNS/DNS-SD.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@
